Bug 66634 - RFE: load install classes from base dir at runtime
Summary: RFE: load install classes from base dir at runtime
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-12 20:07 UTC by Matthew Miller
Modified: 2007-04-18 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 04:45:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Miller 2002-06-12 20:07:29 UTC
Currently, install classes (server, workstation, laptop, etc.) are hard-wired
into anacoda and reside in the install image. It would vastly increase the
flexibilty and usefulness of the install class concept if, instead, these could
be loaded dynamically at runtime.

This way, enterprise users (or aspiring hackers) could make their own install
classes without having to hack up and rebuild the installer itself.

Currently, there is a sort of "magic" tie between component groups listed in the
comps file and their mentions in the install classes -- the interaction between
the "hidden" install class .py files and the contents of the comps file isn't at
all obvious. This suggests to me that it would make sense to put the install
class .py files -- they're small! -- in the base directory right next to the
comps file.

To avoid having to do directory searches to find the available classes, perhaps
they should actually be listed explicitly in the comps file itself. (Using some
new syntax?)

This idea is about 3/4 baked -- a little better than half. I'm more than willing
to help think of ideas for making this work, and perhaps even could work on the
code if that would be helpful.

Comment 1 Gene Czarcinski 2002-06-12 22:05:59 UTC
Why not change this against "7.3"?

Comment 2 Matthew Miller 2002-06-13 01:15:12 UTC
I figured I'd mark it against the beta and let Red Hat folks open it up if
they're so inclined -- easier to do that than to go the other way.

Comment 3 Matthew Miller 2002-06-13 01:19:40 UTC
To be clear -- I don't mean to include the contents of the *.py installclasses
files in the comps file, but rather to include *pointers* to the various ones there.

Comment 4 Michael Fulbright 2002-06-14 15:53:26 UTC
What do you think jeremy?

Comment 5 Jeremy Katz 2002-06-15 00:08:22 UTC
I want to do something like this, but as previously expressed on testers-list a
few times, just dropping random python files in RedHat/base/ isn't going to cut it.

Comment 6 Matthew Miller 2002-06-17 00:28:49 UTC
I think python files pointed to by the comps file (or perhaps some other index
file) would work. If necessary, that file could contain MD5sums and anaconda
could deal intelligently with failure there.


Comment 7 Jeremy Katz 2003-07-09 04:45:38 UTC
If you create a file product.img in RedHat/base/ now, it will get mounted during
the installation.  The file should be an ext2 formatted floppy.  Create an
installclasses/ dir and put any installclasses you want to be available there.

Comment 8 Matthew Miller 2003-07-09 11:57:25 UTC
Thanks; you rock!


Note You need to log in before you can comment on or make changes to this bug.